package com.huimv.eartag2.common.dao.repo;

import com.huimv.eartag2.common.dao.entity.BasePigpenEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface BasePigpenEntityRepo extends JpaRepository<BasePigpenEntity, Integer>, JpaSpecificationExecutor<BasePigpenEntity> {
    @Query(nativeQuery=true, value="SELECT * FROM base_pigpen WHERE id IN(?1,?2)")
    public abstract List<BasePigpenEntity> getPigpenByPigpenIdAndUnitId(Integer paramInteger1, Integer paramInteger2);

}